Possible to test with older PHP versions?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Possible to test with older PHP versions?

Postby PeterPan » 29. November 2018 00:42

I'm in the process of setting up xampp on a 32 bit windows box (win32-7.2.12-0-VC15). My question is whether I will be able to use this package to test code with multiple versions of PHP (such as 5.4, 5.6, or 7), or will i need separate installs to do that?

I'm installing XAMPP doing to make it easier to test code without having to upload it to my paid hosting just to try. Most of my usage is pretty simple stuff... mail forms and a few photo display projects I'm experimenting with. But my hosting company just migrated to PHP v7 from 5.6 and there are some problems and warnings being complained about (mostly weird warning messages from Imagik and magicwand extensions filling up our error logs). So I (along with other hosting customers) have gone back to 5.6 until they work out the kinks. But this raises the question of whether I can test with multiple versions. Especially since knowing my hosting company, it will likely be a long time before all these issues are cleaned up.
PeterPan
 
Posts: 4
Joined: 28. November 2018 21:27
XAMPP version: 7.2
Operating System: Windows 32 bit (XP and Win-7)

Re: Possible to test with older PHP versions?

Postby Nobbie » 29. November 2018 11:41

Nobbie
 
Posts: 10617
Joined: 09. March 2008 13:04

Re: Possible to test with older PHP versions?

Postby PeterPan » 05. December 2018 07:36

There was a link to a reply there, written in German, which I don't speak. Can anyone help me with this question in English? Thanks.
PeterPan
 
Posts: 4
Joined: 28. November 2018 21:27
XAMPP version: 7.2
Operating System: Windows 32 bit (XP and Win-7)

Re: Possible to test with older PHP versions?

Postby Altrea » 05. December 2018 07:50

We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 9362
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Possible to test with older PHP versions?

Postby Nobbie » 05. December 2018 11:35

Nobbie
 
Posts: 10617
Joined: 09. March 2008 13:04

Re: Possible to test with older PHP versions?

Postby PeterPan » 06. December 2018 01:04

Altrea wrote:Ever tried Google translate?
https://translate.google.com/translate?hl=de&sl=de&tl=en&u=https%3A%2F%2Fcommunity.apachefriends.org%2Ff%2Fviewtopic.php%3Ff%3D4%26t%3D67753%26p%3D232615%23p232615


Thanks. I would never have guessed that the translations would be this complete and accurate!
PeterPan
 
Posts: 4
Joined: 28. November 2018 21:27
XAMPP version: 7.2
Operating System: Windows 32 bit (XP and Win-7)

Re: Possible to test with older PHP versions?

Postby Nobbie » 06. December 2018 11:41

Try deepl.com it is even better and more natural.
Nobbie
 
Posts: 10617
Joined: 09. March 2008 13:04

Re: Possible to test with older PHP versions?

Postby PeterPan » 06. December 2018 17:08

Nobbie wrote:Try deepl.com it is even better and more natural.


Thanks. I haven't even installed yet, but mainly just wanted to know of anything important to avoid, if I ultimately want to test my PHP code with multiple versions. For example, if you are never supposed to install multiple versions on the same machine, knowing that ahead of time would save me some headaches.
PeterPan
 
Posts: 4
Joined: 28. November 2018 21:27
XAMPP version: 7.2
Operating System: Windows 32 bit (XP and Win-7)


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 32 guests